# extends 'admin.html'
<html>
    <head>
        <title>
            # block admintitle
            Make WikiPrint Book
            # endblock admintitle
        </title>
        # block head
        ${ super() }
        # endblock head
    </head>
    <body>
        # block adminpanel
        <h2>Create WikiPrint Book</h2>
        <form method="post" onsubmit="compile_pages(this);">
            ${jmacros.form_token_input()}
            <fieldset>
                <legend>Book Properties</legend>
                <table>
                <tbody>
                    <tr>
                        <td>Title:</td>
                        <td><input type="text" name="title" size="80"/></td>
                    </tr>
                    <tr>
                        <td>Subject:</td>
                        <td><input type="text" name="subject" size="80"/></td>
                    </tr>
                    <tr>
                        <td>Version:</td>
                        <td><input type="text" name="version" size="20" /></td>
                    </tr>
                    <tr>
                        <td>Date:</td>
                        <td><input type="text" name="date" size="20"/></td>
                    </tr>
                </tbody>
                </table>
            </fieldset>

            <fieldset>
                <legend>Select pages</legend>
                    <table border="0" width="100%">
                    <tr>
                        <td align="left" colspan="2">All Pages</td>
                    </tr>
                    <tr>
                        <td colspan="2">
                            <select id="leftpages_select" name="leftpages" size="10" style="width: 100%;" multiple="multiple">
                                # for page in leftpages:
                                <option value="${page}">${page}</option>
                                # endfor
                            </select>
                        </td>
                    </tr>
                <tr>
                    <td align="center" colspan="2">
                        <input type="button" onclick="move_item('right', 'left')" value="&#8593;" />
                             &nbsp;&nbsp;
                        <input type="button" onclick="move_item('left', 'right')" value="&#8595;" />
                    </td>
                </tr>
                <tr>
                    <td align="left" colspan="2">Selected Pages</td>
                </tr>
                <tr>
                    <td width="95%">
                        <select id="rightpages_select" name="rightpages" size="10" style="width: 100%;" multiple="multiple">
                            # for page in rightpages:
                            <option value="${page}">${page}</option>
                            # endfor
                        </select>
                    </td>
                    <td width="5%" align="center">
                        <input type="button" onclick="reorder_item('right', -1)" value="&#8593;" />
                        <br/><br/>
                        <input type="button" onclick="reorder_item('right', 1)" value="&#8595;" />
                    </td>
                    </tr>
              </table>
            </fieldset>

            <fieldset>
                <legend>Output Format</legend>
                # for format_name, format in iteritems(formats)
                <label>
                    # if format_name == default_format:
                    <input type="radio" name="format" value="${format_name}" checked="checked"/>
                    # else:
                    <input type="radio" name="format" value="${format_name}"/>
                    # endif
                    ${format['name']}
                </label>
                # endfor
            </fieldset>

            <input type="hidden" name="rightpages_all" value="" />

            <div class="buttons">
                <input type="submit" name="create" value="Create" />
            </div>
        </form>
        # endblock adminpanel
    </body>
</html>